/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package top.continew.admin.system.enums;

/**
 * 参数类别枚举
 *
 * @author Charles7c
 * @since 2024/11/14 20:00
 */
public enum OptionCategoryEnum {

    /**
     * 系统配置
     */
    SITE,

    /**
     * 密码配置
     */
    PASSWORD,

    /**
     * 邮箱配置
     */
    MAIL,

    /**
     * 登录配置
     */
    LOGIN,
}
